Subject: [PATCH rust-team 0/9] Build fixes and minor updates

From: Aaron Covrig <[email-masked]>
Date: Sat, 8 Mar 2025 11:47:20 -0500

This patch contains a few fixes for some packages that fail to build and
updates a few other patches. The main change I want to call out is to
cargo-build-system.scm where I add another check to see if the cargo-test-flags
are `null`; I'm not sure how many packages were failing to build because of this,
but the following rust-criterion-0.4 package was failing to build before I
added this change. It looks to be caused by the inclusion of the `--test-threads`
support not having the leading `--` if the cargo-test-flags list is empty. I
don't have much scheme/guile experience, but I believe my code change here
could be combined with the previous line to be something like the following
pseudo code:
```
  if !(member "--" cargo-test-flags) || if(nil? cargo-test-flags){
    "--"
  } else {
    ""
  }
```

Aaron Covrig (9):
  gnu: rust-serde-test-0.9: Fix build
  gnu: rust-rustyline-derive-0.11: New variable.
  gnu: rust-rustyline-15: New variable.
  gnu: rust-rustyline-14: New variable.
  gnu: rust-elf-0.7: New variable
  gnu: rust-boxxy-0.14: New variable.
  gnu: cargo-build-system: check: Add required cargo test string if
    null.
  gnu: rust-criterion-0.4: Address 2024 Cargo deprecation/rename
    warning.
  gnu: rust-futures-0.3: Address 2024 Cargo deprecation/rename warning

 gnu/packages/crates-check.scm     |   7 +-
 gnu/packages/crates-io.scm        | 228 ++++++++++++++++++++++++++----
 guix/build/cargo-build-system.scm |   4 +
 3 files changed, 212 insertions(+), 27 deletions(-)

base-commit: a21bbfb712c0b82b76d6099b454c2a1db8dd9924
-- 
2.48.1